Loading...
Searching...
No Matches
etl::coordinate_2d< T > Struct Template Reference

integer_sequence More...

`#include <utility.h>`

## Public Member Functions

ETL_CONSTEXPR | coordinate_2d (T x_, T y_)

## Public Attributes

T | x
T | y

## Friends

bool | operator== (const coordinate_2d &lhs, const coordinate_2d &rhs)
bool | operator!= (const coordinate_2d &lhs, const coordinate_2d &rhs)

## Detailed Description

template<typename T>
struct etl::coordinate_2d< T >

integer_sequence

2D coordinate type.

The documentation for this struct was generated from the following file:

- include/etl/utility.h